package com.ruoyi.sip.domain;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合同档案对象 order_info
 * 
 * @author mula
 * @date 2025-04-11
 */
public class OrderInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键，自增 */
    private Long id;

    /** 关联项目编号 */
    private String projectCode;

    /** 合同编号，唯一 */
    @Excel(name = "合同编号")
    private String orderCode;

    /** 版本号 */
    @Excel(name = "版本号")
    private String versionCode;

    /** 合同名称 */
    @Excel(name = "合同名称")
    private String orderName;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String customerName;

    /** 客户联系人 */
    private String customerContact;

    /** 客户联系电话 */
    private String customerPhone;

    /** 客户邮箱 */
    private String customerEmail;

    /** 合同类型：1-直签合同，2-代理商合同 */
    @Excel(name = "合同类型：1-直签合同，2-代理商合同")
    private String orderType;

    /** 代表处编码 */
    private Long orderDept;

    /** 代理商编码 */
    private Long partenerDept;

    /** 合同签定日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "合同签定日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date orderDate;

    /** 合同状态：0-有效，1-无效 */
    @Excel(name = "合同状态：0-有效，1-无效")
    private Long status;

    /** 创建时间 */
    private Date createdAt;

    /** 更新时间 */
    private Date updatedAt;

    /** 删除时间，软删除 */
    private Date deletedAt;

    /** 合同清单信息 */
    private List<OrderList> orderListList;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setProjectCode(String projectCode) 
    {
        this.projectCode = projectCode;
    }

    public String getProjectCode() 
    {
        return projectCode;
    }

    public void setOrderCode(String orderCode) 
    {
        this.orderCode = orderCode;
    }

    public String getOrderCode() 
    {
        return orderCode;
    }

    public void setVersionCode(String versionCode)
    {
        this.versionCode = versionCode;
    }

    public String getVersionCode()
    {
        return versionCode;
    }

    public void setOrderName(String orderName) 
    {
        this.orderName = orderName;
    }

    public String getOrderName() 
    {
        return orderName;
    }

    public void setCustomerName(String customerName) 
    {
        this.customerName = customerName;
    }

    public String getCustomerName() 
    {
        return customerName;
    }

    public void setCustomerContact(String customerContact) 
    {
        this.customerContact = customerContact;
    }

    public String getCustomerContact() 
    {
        return customerContact;
    }

    public void setCustomerPhone(String customerPhone) 
    {
        this.customerPhone = customerPhone;
    }

    public String getCustomerPhone() 
    {
        return customerPhone;
    }

    public void setCustomerEmail(String customerEmail) 
    {
        this.customerEmail = customerEmail;
    }

    public String getCustomerEmail() 
    {
        return customerEmail;
    }

    public void setOrderType(String orderType)
    {
        this.orderType = orderType;
    }

    public String getOrderType()
    {
        return orderType;
    }

    public void setOrderDept(Long orderDept) 
    {
        this.orderDept = orderDept;
    }

    public Long getOrderDept() 
    {
        return orderDept;
    }

    public void setPartenerDept(Long partenerDept) 
    {
        this.partenerDept = partenerDept;
    }

    public Long getPartenerDept() 
    {
        return partenerDept;
    }

    public void setOrderDate(Date orderDate) 
    {
        this.orderDate = orderDate;
    }

    public Date getOrderDate() 
    {
        return orderDate;
    }

    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }

    public List<OrderList> getOrderListList()
    {
        return orderListList;
    }

    public void setOrderListList(List<OrderList> orderListList)
    {
        this.orderListList = orderListList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectCode", getProjectCode())
            .append("orderCode", getOrderCode())
            .append("versionCode", getVersionCode())
            .append("orderName", getOrderName())
            .append("customerName", getCustomerName())
            .append("customerContact", getCustomerContact())
            .append("customerPhone", getCustomerPhone())
            .append("customerEmail", getCustomerEmail())
            .append("orderType", getOrderType())
            .append("orderDept", getOrderDept())
            .append("partenerDept", getPartenerDept())
            .append("orderDate", getOrderDate())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .append("orderListList", getOrderListList())
            .toString();
    }
}
