package com.ruoyi.sip.mapper;

import java.util.List;
import com.ruoyi.sip.domain.OrderInfo;
import com.ruoyi.sip.domain.OrderList;

/**
 * 合同档案Mapper接口
 * 
 * @author mula
 * @date 2025-04-11
 */
public interface OrderInfoMapper 
{
    /**
     * 查询合同档案
     * 
     * @param id 合同档案主键
     * @return 合同档案
     */
    public OrderInfo selectOrderInfoById(Long id);

    /**
     * 查询合同档案列表
     * 
     * @param orderInfo 合同档案
     * @return 合同档案集合
     */
    public List<OrderInfo> selectOrderInfoList(OrderInfo orderInfo);

    /**
     * 新增合同档案
     * 
     * @param orderInfo 合同档案
     * @return 结果
     */
    public int insertOrderInfo(OrderInfo orderInfo);

    /**
     * 修改合同档案
     * 
     * @param orderInfo 合同档案
     * @return 结果
     */
    public int updateOrderInfo(OrderInfo orderInfo);

    /**
     * 删除合同档案
     * 
     * @param id 合同档案主键
     * @return 结果
     */
    public int deleteOrderInfoById(Long id);

    /**
     * 批量删除合同档案
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderInfoByIds(String[] ids);

    /**
     * 批量删除合同清单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderListByOrderIds(String[] ids);
    
    /**
     * 批量新增合同清单
     * 
     * @param orderListList 合同清单列表
     * @return 结果
     */
    public int batchOrderList(List<OrderList> orderListList);
    

    /**
     * 通过合同档案主键删除合同清单信息
     * 
     * @param id 合同档案ID
     * @return 结果
     */
    public int deleteOrderListByOrderId(Long id);

    /**
     * 删除合同清单
     * @param id
     * @return
     */
    int logicRemoveListById(List<OrderList> orderListList);

    /**
     * 更新合同清单
     * @param orderListList
     */
    void updateListBatch(List<OrderList> orderListList);

    List<OrderList> listOrderListByDeliveryId(Long deliveryId);
}
