package com.ruoyi.sip.service;

import java.util.List;
import com.ruoyi.sip.domain.DeliveryList;

/**
 * 发货清单Service接口
 * 
 * @author ruoyi
 * @date 2025-04-11
 */
public interface IDeliveryListService 
{
    /**
     * 查询发货清单
     * 
     * @param id 发货清单主键
     * @return 发货清单
     */
    public DeliveryList selectDeliveryListById(Long id);

    /**
     * 查询发货清单列表
     * 
     * @param deliveryList 发货清单
     * @return 发货清单集合
     */
    public List<DeliveryList> selectDeliveryListList(DeliveryList deliveryList);

    /**
     * 新增发货清单
     * 
     * @param deliveryList 发货清单
     * @return 结果
     */
    public int insertDeliveryList(DeliveryList deliveryList);

    /**
     * 修改发货清单
     * 
     * @param deliveryList 发货清单
     * @return 结果
     */
    public int updateDeliveryList(DeliveryList deliveryList);

    /**
     * 批量删除发货清单
     * 
     * @param ids 需要删除的发货清单主键集合
     * @return 结果
     */
    public int deleteDeliveryListByIds(String ids);

    /**
     * 删除发货清单信息
     * 
     * @param id 发货清单主键
     * @return 结果
     */
    public int deleteDeliveryListById(Long id);

    void importData(List<DeliveryList> deliveryList, Long deliveryId);
}
