package com.ruoyi.sip.service;

import java.util.List;
import com.ruoyi.sip.domain.OrderDelivery;

/**
 * 发货记录Service接口
 * 
 * @author mula
 * @date 2025-04-11
 */
public interface IOrderDeliveryService 
{
    /**
     * 查询发货记录
     * 
     * @param id 发货记录主键
     * @return 发货记录
     */
    public OrderDelivery selectOrderDeliveryById(Long id);

    /**
     * 查询发货记录列表
     * 
     * @param orderDelivery 发货记录
     * @return 发货记录集合
     */
    public List<OrderDelivery> selectOrderDeliveryList(OrderDelivery orderDelivery);

    /**
     * 新增发货记录
     * 
     * @param orderDelivery 发货记录
     * @return 结果
     */
    public int insertOrderDelivery(OrderDelivery orderDelivery);

    /**
     * 修改发货记录
     * 
     * @param orderDelivery 发货记录
     * @return 结果
     */
    public int updateOrderDelivery(OrderDelivery orderDelivery);

    /**
     * 批量删除发货记录
     * 
     * @param ids 需要删除的发货记录主键集合
     * @return 结果
     */
    public int deleteOrderDeliveryByIds(String ids);

    /**
     * 删除发货记录信息
     * 
     * @param id 发货记录主键
     * @return 结果
     */
    public int deleteOrderDeliveryById(Long id);
}
